// vim: sw=2 ts=2 expandtab

#ifndef CONFIG_H
#define CONFIG_H

// configuration variables for rtfft

// screen size
#define SCREEN_WIDTH  1024
#define SCREEN_HEIGHT 768

// screen setup
#define FFT_DISPLAY_SIZE 32
#define PLAYFIELD_START (FFT_DISPLAY_SIZE + 16)

// FFT transformation parameters
#define FFT_EXPONENT 11
#define BLOCK_LEN (1 << FFT_EXPONENT) // 2^FFT_EXPONENT
#define SAMPLE_RATE 22050
#define DATALEN (BLOCK_LEN / 2)

// Number of parts in the sample buffer
#define BUFFER_PARTS 4

#define FADE_ENABLE 0
#define FADE_FACTOR 0.1

// weight of new loudest frequency in average calculations
#define LOUDEST_FREQ_NEW_WEIGHT 1

// FFT noise weight
#define FFT_NOISE_AVG_WEIGHT 0.01
#define FFT_NOISE_WEIGHT 0.15

#define MOVEMENT_TRIGGER_WEIGHT 0.001

#define SLEEP_ENABLE 1

// min and max frequency for position

#define MIN_DISPLAY_FREQ (880)
#define MAX_DISPLAY_FREQ (1975)
#define MIN_MOVEMENT_FREQ (600)
#define MAX_MOVEMENT_FREQ (2200)

/*
#define MIN_DISPLAY_FREQ (11)
#define MAX_DISPLAY_FREQ (11L<<10)
#define MIN_MOVEMENT_FREQ (5)
#define MAX_MOVEMENT_FREQ (15L<<10)
*/
// Sprite sizes
#define SHIP_HEIGHT 96
#define SHIP_WIDTH 131
#define POWERUP_SIZE 64
#define SHOT_HEIGHT 4
#define SHOT_WIDTH 16

// Shot parameters
#define WHOLENOTE_STRENGTH 16
#define WHOLENOTE_FREQUENCY 1
#define SHOT_STRENGTH_FALLOFF 2.1
#define SHOT_FREQUENCY_FALLOFF 2.0

// Minimum SNR to move the ship
#define SNR_THRESHOLD 0.01

// Spawning delays
#define POWERUP_MIN_DELAY 15
#define POWERUP_DELAY_RANDVAL 16

#define ENEMY_MIN_DELAY 1
#define ENEMY_DELAY_RANDVAL 2

// Enemy shrink rate (scale/second)
#define ENEMY_SHRINK_RATE 0.995

// sample data types
typedef int16_t sample;
typedef int64_t sample_sum;


#endif // CONFIG_H
