// vim: sw=2 ts=2 expandtab

#ifndef ENEMIES_H
#define ENEMIES_H

#define NUM_ENEMY_TYPES 5

#include "sound.h"

struct {
	char *name;
	int kills, fails;
	int width, height, yoffset;
	double hp;
	char *spriteFile;
	SDL_Surface *sprite;
} EnemyTypes[] = {
	{ "Crotchet",           0, 0, 22,  64,   0, 1.5 * 16.0, "img/crotchet.png", NULL },
	{ "Quaver",             0, 0, 44,  80,   0, 1.5 *  8.0, "img/quaver.png", NULL },
	{ "Semiquaver",         0, 0, 44,  96,   0, 1.5 *  4.0, "img/semiquaver.png", NULL },
	{ "Demisemiquaver",     0, 0, 44, 112,   0, 1.5 *  2.0, "img/demisemiquaver.png", NULL },
	{ "Hemidemisemiquaver", 0, 0, 44, 128,   0, 1.5 *  1.0, "img/hemidemisemiquaver.png", NULL },
};

struct Enemy {
	int type;
	double x, y;
	double hp;
	int valid;
	SDL_Surface *sprite;
  Mix_Chunk *sample;
};

#endif // ENEMIES_H
