// vim: sw=2 ts=2 expandtab

#ifndef FFT_H
#define FFT_H

#include "config.h"

void init_fft(void);
void complex_to_absolute(double *re, double *im, double *result);
void apply_hanning(sample *dftinput);
void fft_transform(sample *samples, double *resultRe, double *resultIm);
uint32_t find_loudest_frequency(double *absFFT, uint32_t minFreq, uint32_t maxFreq);
double get_energy_in_band(double *fft, uint32_t minFreq, uint32_t maxFreq);
uint32_t find_freq_with_max_snr(double *signal, double *noise, uint32_t minFreq, uint32_t maxFreq);
double get_snr_for_freq(double *signal, double *noise, uint32_t freq);

#endif // FFT_H
