// vim: sw=2 ts=2 expandtab

#ifndef POWERUPS_H
#define POWERUPS_H

enum {
	PU_WHOLENOTE,
	PU_HALFNOTE,
	PU_QUARTERNOTE,
	PU_EIGHTHNOTE,
	PU_SIXTEENTHNOTE,
	PU_THIRTYSECONDNOTE,
	PU_NONE
};
#define NUM_POWERUP_TYPES PU_NONE

struct {
	char *name;
	int number;
	int width, height;
	char *spriteFile;
	SDL_Surface *sprite;
} PowerupTypes[NUM_POWERUP_TYPES] = {
	{ "Whole",         0, 105,  64, "img/whole.png",        NULL },
	{ "Half",          0,  38, 128, "img/half.png",         NULL },
	{ "Quarter",       0,  38, 128, "img/quarter.png",      NULL },
	{ "Eighth",        0,  70, 128, "img/eighth.png",       NULL },
	{ "Sixteenth",     0,  73, 128, "img/sixteenth.png",    NULL },
	{ "Thirty-second", 0,  63, 128, "img/thirtysecond.png", NULL }
};

struct Powerup {
	int type;
	double x, y;
};

#endif // POWERUPS_H
