// vim: sw=2 ts=2 expandtab

#include "sound.h"

int init_audio(void) {
  if (SDL_Init(SDL_INIT_AUDIO) != 0) {
    fprintf(stderr, "Unable to initialize SDL: %s\n", SDL_GetError());
    return 0;
  }

  int audio_rate = 44100;
  Uint16 audio_format = AUDIO_S16SYS;
  int audio_channels = 2;
  int audio_buffers = 4096;

  if(Mix_OpenAudio(audio_rate, audio_format, audio_channels, audio_buffers) != 0) {
    fprintf(stderr, "Unable to initialize audio: %s\n", Mix_GetError());
    return 0;
  }

  return 1;
}

Mix_Chunk *load_sample(char *file) {
  Mix_Chunk *chunk = Mix_LoadWAV(file);
  if(!chunk) {
    fprintf(stderr, "Unable to load %s: %s\n", file, Mix_GetError());
    return NULL;
  }
  return chunk;
}
